BITOPS(3) | NetBSD Library Functions Manual | BITOPS(3)

# NAME

bitops — functions related to bits and integers

# SYNOPSIS

#include <sys/bitops.h>

# DESCRIPTION

The <sys/bitops.h> header includes some static inline functions related bits and integers. Among these are:

ffs32(3)
  functions to find the first and last bit in integers of type uint32_t and uint64_t
ilog2(3)
  a macro for binary logarithm
fast_divide32(3)
  a function for fast 32-bit division

# SEE ALSO

bits(3), bitstring(3), cdefs(3), param(3)

# HISTORY

The <sys/bitops.h> header first appeared in NetBSD 4.0.

April 8, 2011 | NetBSD 5.99